define(function () {
	"use strict";

	function validatePromptValue() {
	};



	validatePromptValue.prototype.draw = function (oControlHost) {

		var el = oControlHost.container;
		el.innerHTML =
		'<style>' +
			'.myButton { height:32px; width:120px; cursor:pointer; margin-left:20px; color:#4178BE; font-size:14px; padding:6px 12px 6px 12px; background-color:white; border:1px solid #4178BE; }' +
			'.myButton:hover { background-color:#4178BE; color:white; border:1px solid #4178BE; }' +
		'</style>' +
		'<button class="myButton btnCancel" type="button">Cancel</button>' +
		'<button class="myButton btnFinish" type="button">Finish</button>';

		el.querySelector(".btnCancel").onclick = oControlHost.cancel.bind(oControlHost);
		el.querySelector(".btnFinish").onclick = this.finishButtonClick.bind(this, oControlHost);
	};


	validatePromptValue.prototype.finishButtonClick = function (oControlHost) {

		oControlHost.finish();
		
	};

	return validatePromptValue;
});
